
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>IOS等待时动画效果的实现_IOS / iVAN</title>

    <meta name="description" content="IOS等待时动画效果的实现_IOS 查询时间或长或短,为了提升用户体验,目前用的比较多的手段之一就是查询等待时添加一个动态等待效果.当我们在请求网络时加载页面时有个动作效果,效果图如下: 源代码可以网上找开源项目Coding.net,上面的效果原理为两张图片组合,外面那个则为动画转动,里面的图标则是透明度的变化:主要代码如下: 1:把它封装在EaseLoadingView里面 @interface EaseLoadingView : UIView @property (strong, nonatomic) UIImageView">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">IOS等待时动画效果的实现_IOS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>查询时间或长或短，为了提升用户体验，目前用的比较多的手段之一就是查询等待时添加一个动态等待效果。当我们在请求网络时加载页面时有个动作效果，效果图如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MDgxMDEwNTg1NzUucG5n.jpg"></p>
<p>源代码可以网上找开源项目Coding.net，上面的效果原理为两张图片组合，外面那个则为动画转动，里面的图标则是透明度的变化；主要代码如下：</p>
<p><strong>1：把它封装在EaseLoadingView里面</strong></p>
<pre>
@interface EaseLoadingView : UIView
@property (strong, nonatomic) UIImageView *loopView, *monkeyView;
@property (assign, nonatomic, readonly) BOOL isLoading;
- (void)startAnimating;
- (void)stopAnimating;
@end
@interface EaseLoadingView ()
@property (nonatomic, assign) CGFloat loopAngle, monkeyAlpha, angleStep, alphaStep;
@end

@implementation EaseLoadingView
- (instancetype)initWithFrame:(CGRect)frame{
 self = [super initWithFrame:frame];
 if (self) {
  self.backgroundColor = [UIColor clearColor];
  _loopView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"loading_loop"]];
  _monkeyView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"loading_monkey"]];
  [_loopView setCenter:self.center];
  [_monkeyView setCenter:self.center];
  [self addSubview:_loopView];
  [self addSubview:_monkeyView];
  [_loopView mas_makeConstraints:^(MASConstraintMaker *make) {
   make.center.equalTo(self);
  }];
  [_monkeyView mas_makeConstraints:^(MASConstraintMaker *make) {
   make.center.equalTo(self);
  }];
  _loopAngle = 0.0;
  _monkeyAlpha = 1.0;
  _angleStep = 360/3;
  _alphaStep = 1.0/3.0;
 }
 return self;
}
- (void)startAnimating{
 self.hidden = NO;
 if (_isLoading) {
  return;
 }
 _isLoading = YES;
 [self loadingAnimation];
}
- (void)stopAnimating{
 self.hidden = YES;
 _isLoading = NO;
}
- (void)loadingAnimation{
 static CGFloat duration = 0.25f;
 _loopAngle += _angleStep;
 if (_monkeyAlpha &gt;= 1.0 || _monkeyAlpha &lt;= 0.0) {
  _alphaStep = -_alphaStep;
 }
 _monkeyAlpha += _alphaStep;
 [UIView animateWithDuration:duration delay:0.0 options:UIViewAnimationOptionCurveLinear animations:^{
  CGAffineTransform loopAngleTransform = CGAffineTransformMakeRotation(_loopAngle * (M_PI / 180.0f));
  _loopView.transform = loopAngleTransform;
  _monkeyView.alpha = _monkeyAlpha;
 } completion:^(BOOL finished) {
  if (_isLoading &amp;&amp; [self superview] != nil) {
   [self loadingAnimation];
  }else{
   [self removeFromSuperview];
   _loopAngle = 0.0;
   _monkeyAlpha = 1,0;
   _alphaStep = ABS(_alphaStep);
   CGAffineTransform loopAngleTransform = CGAffineTransformMakeRotation(_loopAngle * (M_PI / 180.0f));
   _loopView.transform = loopAngleTransform;
   _monkeyView.alpha = _monkeyAlpha;
  }
 }];
}
@end
</pre>
<p>注意loadingAnimation这里面有动作的处理及透明度的处理，当停止加载后把它自个从当前的视图去除；</p>
<p><strong>2：UIView (Common)在UIView扩展类里</strong></p>
<pre>
#pragma mark LoadingView
@property (strong, nonatomic) EaseLoadingView *loadingView;
- (void)beginLoading;
- (void)endLoading;
@end
- (void)setLoadingView:(EaseLoadingView *)loadingView{
 [self willChangeValueForKey:@"LoadingViewKey"];
 objc_setAssociatedObject(self, &amp;LoadingViewKey,
        loadingView,
        OBJC_ASSOCIATION_RETAIN_NONATOMIC);
 [self didChangeValueForKey:@"LoadingViewKey"];
}
- (EaseLoadingView *)loadingView{
 return objc_getAssociatedObject(self, &amp;LoadingViewKey);
}
- (void)beginLoading{
 for (UIView *aView in [self.blankPageContainer subviews]) {
  if ([aView isKindOfClass:[EaseBlankPageView class]] &amp;&amp; !aView.hidden) {
   return;
  }
 }
 if (!self.loadingView) { //初始化LoadingView
  self.loadingView = [[EaseLoadingView alloc] initWithFrame:self.bounds];
 }
 [self addSubview:self.loadingView];
 [self.loadingView mas_makeConstraints:^(MASConstraintMaker *make) {
  make.self.edges.equalTo(self);
 }];
 [self.loadingView startAnimating];
}
- (void)endLoading{
 if (self.loadingView) {
  [self.loadingView stopAnimating];
 }
}
</pre>
<p>注意：cocoa的KVO模型中，有两种通知观察者的方式，自动通知和手动通知。顾名思义，自动通知由cocoa在属性值变化时自动通知观察者，而手动通知需要在值变化时调用 willChangeValueForKey:和didChangeValueForKey: 方法通知调用者。</p>
<p><strong>3：使用页面调用</strong></p>
<pre>
- (void)sendRequest{
 [self.view beginLoading];
 __weak typeof(self) weakSelf = self;
 [[Coding_NetAPIManager sharedManager] request_CodeFile:_myCodeFile withPro:_myProject andBlock:^(id data, NSError *error) {
  [weakSelf.view endLoading];
  if (data) {
   weakSelf.myCodeFile = data;
   [weakSelf refreshCodeViewData];
  }
  [weakSelf.view configBlankPage:EaseBlankPageTypeView hasData:(data != nil) hasError:(error != nil) reloadButtonBlock:^(id sender) {
   [weakSelf sendRequest];
  }];
 }];
}
</pre>
<p>其中[self.view beginLoading]跟[weakSelf.view endLoading]就可以调用动画效果；</p>
<p>补充：另一种是有很多不同的图片组成的动画效果，可以用每一张图片然后FOR遍历组成出动作效果；</p>
<pre>
//设置普通状态的动画图片
 NSMutableArray *idleImages = [NSMutableArray array];
 for (NSUInteger i = 1; i&lt;=60; ++i) {
    UIImage *image = [UIImage imageNamed:[NSString stringWithFormat:@"dropdown_anim__000%zd",i]];
    [idleImages addObject:image];
  [idleImages addObject:image];
 }
</pre>
<p>以上内容是本文通过IOS等待时动画效果的实现，希望对大家有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索ios<br />
                    ，                js实现动画效果<br />
                                    动画效果的实现<br />
                                    ios 点赞实现动画效果、ios pop 动画效果实现、ios 实现展开动画效果、ios实现动画效果、实现页面加载等待动画，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-27 13:37:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a8%e7%94%bb%e6%95%88%e6%9e%9c%e7%9a%84%e5%ae%9e%e7%8e%b0/" title="动画效果的实现">动画效果的实现</a>, <a href="https://www.iamivan.net/tag/js%e5%ae%9e%e7%8e%b0%e5%8a%a8%e7%94%bb%e6%95%88%e6%9e%9c/" title="js实现动画效果">js实现动画效果</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>IOS等待时动画效果的实现_IOS的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bolk46M.html" rel="bookmark">IOS实现视频动画效果的启动图&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先上效果图 实现思路 主要思路就是用一个控制器来作为播放视频的载体,然后在让这个控制器作为根视图,视频播放完成之后那就该干嘛干嘛了. 话不多说了,下面就放代码好了 先新建一个控制器AnimationViewController在控制器中新建一个属性moviePlayer,记得要先引入系统库&lt;MediaPlayer/MediaPlayer.h&gt; @property (nonatomic, strong) MPMoviePlayerController *moviePlayer; 设置movieP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40EYqz.html" rel="bookmark">Android布局变化时动画效果的现实&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MainActivity如下: package wy.test; import android.animation.AnimatorInflater; import android.animation.LayoutTransition; import android.animation.ObjectAnimator; import android.app.Activity; import android.content.Context; import android.os.Bundle; imp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr0dKxz.html" rel="bookmark">Android布局变化时动画效果的现实&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MainActivity如下: package cc.test; import android.app.Activity; import android.content.Context; import android.os.Bundle; import android.view.View; import android.view.View.OnClickListener; import android.widget.Button; import android.widget.LinearLayo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeR9qwb.html" rel="bookmark">iOS easing tween 动画效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在iOS 开发中,要做一个动画效果,我们会用到CAKeyframeAnimation. 这个库提供了一些对frame 动画的控制,什麽是frame 动画? frame 动画就好比电视动画那样,由一格一格的图画(也可以想像成frame)构成, 快速播放图画便成了动画. 在CAKeyframeAnimation 的概念是一样, 你只需要提供keyframe 的信息, 程序会自动完成keyframe之间的&quot;图画&quot;. 如果大家有用过adobe flash 这工具, 其实是等同motion/sh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAmaeM.html" rel="bookmark">iOS的GIF动画效果实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GIF在iOS中的使用场景 GIF在iOS中的使用场景有以下三个方面. (1)GIF图片分解为单帧图片. (2)一系列单帧图片合成GIF图片. (3)iOS系统上展示GIF动画效果. 在GIF的合成和分解方面将会接触到iOS图像处理核心框架ImageIO,作为iOS系统中图像处理的核心框架,它为我们提供了各种丰富的API,本文将要实现的GIF分解与合成功能,通过ImageIO就可以很方便地实现.GIF动画展示效果将结合UIImageView和定时器,利用逐帧展示的方式为大家呈现GIF动画效果.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYG1Ob.html" rel="bookmark">基于JS实现Android&comma;iOS一个手势动画效果&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				废话不多说了,先给大家展示下效果图: 这是iOS下的效果,android下完全一致.通过do_GestureView组件和do_Animation组件,deviceone能很容易实现复杂的跨平台纯原生动画效果,这个示例就是通过手势控制图片上下动画滑动实现开合效果,还支持声音效果. 下面是主要的代码 //index.ui.js var do_Animator1 = mm(&quot;do_Animator&quot;); do_Animator1.append(500, { y: -1334, curve:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b24ogrp.html" rel="bookmark">ios仿侧边抽屉效果实现代码&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				效果图如下 代码实现以及思路下面分析: 代码创建导航控制器 Appdelegate.m中 #import &quot;AppDelegate.h&quot; #import &quot;ViewController.h&quot; @interface AppDelegate () @end @implementation AppDelegate - (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWGVVAM.html" rel="bookmark">苹果开发之iOS加入购物车动画效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 代码如下 复制代码 #pragma mark -购物篮按钮点击事件 -(void)shoppingCartButtonAction:(UIButton*)sender {     if ([[userDef objectForKey:@&quot;id&quot;]isEqualToString:@&quot;0&quot;]) {         [self showHUDTextOnly:@&quot;请登录后,再进行操作&quot; ];         return;     }     NSD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYd8YQb.html" rel="bookmark">IOS 实现3D 浮动效果动画&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				涉及到的技术点 CATransform3DRotate 转换坐标系 整体视图的层级结构 tvOSCardView cardImageView cardParallaxView 转换坐标系的代码 CGFloat xFactor = MIN(1, MAX(-1, (touchPoint.x - (self.bounds.size.width / 2)) / (self.bounds.size.width / 2))); CGFloat yFactor = MIN(1, MAX(-1, (touchP			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv5Y8b.html" rel="bookmark" class="title">FreeSpace 属性</a>
					<div>
						  向用户返回指定驱动器或网络共享上的可用空间的大小.只读. object.FreeSpace object 应为 Drive 对象. 说明 典型情况中,由 FreeSpace 属性返回的值和由 Av ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK93np.html" rel="bookmark" class="title">用PHP发送MIME邮件&lpar;三&rpar;</a>
					<div>
						mime MIME 类 在有了这些基础之后,让我们用PHP创建和实现一个MIME邮件类.在我们的PHP库函数中,已经有了编码 所必须的工具. MIME类必须能够: 增加附件 对每一个独立的请求,对所附 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1873b.html" rel="bookmark" class="title">中国视频网站试解赢利死结</a>
					<div>
						在YouTube以16.5亿美金卖了个好价钱(与Google换股)的同时,国内的视频播客网站还在苦苦寻觅盈利模式. 10月18日,国内P2P流媒体网络直播视频平台上海聚力传媒技术有限公司(以下简称PP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze5x8z.html" rel="bookmark" class="title">用C&num;实现木马程序</a>
					<div>
						程序|木马 游客,您好!转网通站 | 转电信站 积木首页 | 500多种网页特效整理 | 实用查询函数手册 | 积木网BT下载联盟 | 经典笑话 | 广播电台 | 高清晰经典图片素材   程序开发   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyLmPb.html" rel="bookmark" class="title">flash as3&period;0教程专题</a>
					<div>
						积少成多 Flash(ActionScript 3.0 &amp; Flex 3.0) 系列文章索引 积少成多Flash(7) - ActionScript 3.0交互之鼠标事件和键盘事件 积少成多F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBjvvb.html" rel="bookmark" class="title">SQL调优之列值的集簇因子研究</a>
					<div>
						列值的选择性.集簇和柱状图 切记,优化器了解表中列数据的许多重要特征,最显著的是列值的选择性和列的集簇因子. 例如,以下我们看到一个使用列值来形成结果集的查询: select   customer_n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4oR9p.html" rel="bookmark" class="title">vi命令速查表</a>
					<div>
						vi命令如何常用,放于此以备查. % vi file : Last line mode ----&gt; Command mode ----&gt; Insert mode &lt;---- &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4N8Vp.html" rel="bookmark" class="title">Dreamweaver中怎样才能插入有色的直线</a>
					<div>
						首先,在document window(网页编辑窗口)中的适当位置,插入Horizontal Rule,按ctrl + F3 调出 Property inspector(属性面板)如图: 在这个属性面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRV1xp.html" rel="bookmark" class="title">如何保养和维护LCD显示器？</a>
					<div>
						  1.避免不必要的振动 LCD可以算是最敏感的电气设备了,LCD中含有很多玻璃的和灵敏的电气元件,以至于屏幕十分的脆弱,要尽量避免强烈的冲击和振动,强烈的冲击极易导致LCD屏幕以及CFL单元的损坏. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRlrQp.html" rel="bookmark" class="title">visual studio-vs2013怎么能连接上sql server &quest;</a>
					<div>
						问题描述 vs2013怎么能连接上sql server ? 1.我按如下图方式连接数据库: 从图中可以看出,右击菜单没有例如&quot;新建数据库&quot;,&quot;新建查询&quot;之类的选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NVEmz.html" rel="bookmark" class="title">编码-java流转换成视频格式</a>
					<div>
						问题描述 java流转换成视频格式 大神们,你们好: 我是一个菜鸟,最近遇到了视频编码的问题, 我想把java中获取到的二进制流转换成视频格式存储在本地,怎么转换呢,请大神们 不吝赐教!在下感激涕零! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6x8JM.html" rel="bookmark" class="title">使用局域网IP连接服务器变成用公网IP连接，肿么办？</a>
					<div>
						问题描述 使用局域网IP连接服务器变成用公网IP连接,肿么办? 有两台JBOSS服务器发布工程在内网,它们也有对应的外网IP,有一台Apache服务器反向代理负载那两台服务器的服务发布在外网,在一台J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ7OAb.html" rel="bookmark" class="title">如何根据iframe内嵌页面调整iframe高宽续篇</a>
					<div>
						接着昨天的工作 如何根据iframe内嵌页面调整iframe高宽 来说,按照文章中说的第二种方法实现代码如下: 实现 A.com/detail/view 页面的iframe代码如下: 1 &lt;if ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAA3vp.html" rel="bookmark" class="title">我的MYSQL学习心得（八）</a>
					<div>
						原文:我的MYSQL学习心得(八) 我的MYSQL学习心得(八) 我的MYSQL学习心得(一) 我的MYSQL学习心得(二) 我的MYSQL学习心得(三) 我的MYSQL学习心得(四) 我的MYSQL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjj64M.html" rel="bookmark" class="title">java junit4-JUnit测试报 No socket available 错误</a>
					<div>
						问题描述 JUnit测试报 No socket available 错误 Eclipse进行JUnit测试时,总弹出 No socket available 窗口,导致测试不能进行. 解决方案 打开r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4d8oz.html" rel="bookmark" class="title">服务器-关于基于socket通信的多用户客户端不能通信</a>
					<div>
						问题描述 关于基于socket通信的多用户客户端不能通信 单个客户端可以接受到自己发送的消息.但多客户端的话,甲方发送数据,乙方可以接受,但乙方接受后不能发送数据,一旦发送数据,服务器就会崩溃! 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRqo2p.html" rel="bookmark" class="title">为什么企业不能忽视移动安全？</a>
					<div>
						当前,智能手机和平板电脑等移动设备的快速普及,越来越多的员工开始自带设备(BYOD)上班.在最近的一次调查中发现,企业员工纷纷反馈表示,移动办公让他们的工作效率得以提升,而企业主们则认为通过移动办公则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRjA2b.html" rel="bookmark" class="title">数据结构 算法-各位大神，森林遍历问题求解</a>
					<div>
						问题描述 各位大神,森林遍历问题求解 森林先序:a b c d e g f 森林中序:b d g e f c a 画出该森林,用二叉链表表示.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK9Vlb.html" rel="bookmark" class="title">你值得了解的视频播放革命 解密迅雷云播</a>
					<div>
						&quot;云&quot;这一名词,从云计算这一概念被广泛认知以来便被不断热炒.诸如&quot;智慧云&quot;.&quot;园区云&quot;.&quot;云电视&quot;.&quot;云音乐& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR2QAb.html" rel="bookmark" class="title">【技术贴】解决虚拟机xp安装雨林木风ylmf os的linux鼠标失效鼠标不准确鼠标定位不正常的根本</a>
					<div>
						搞了我不下三个小时.困死了. 首先 打开虚拟机--找到你的虚拟机--右键出现[设置]英文版叫[setting]--找不到的话立即退出本文章,以下的内容不适合你,你也不适合linux,ok 下一步切换到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX00XLp.html" rel="bookmark" class="title">c语言-求解   C语言的数组问题</a>
					<div>
						问题描述 求解 C语言的数组问题 解决方案 C语言 -- 数学问题求解黑马程序员--汉诺塔问题的递归求解C语言C语言数组初始化问题 解决方案二: int max_min(int a[],int n){ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwWZ6M.html" rel="bookmark" class="title">java类-JAVA类中赋值问题，需要解释一下谢谢啦</a>
					<div>
						问题描述 JAVA类中赋值问题,需要解释一下谢谢啦 class Test{ private DBUtil db=new DBUtil; private Connection conn=db.getCo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJaAOp.html" rel="bookmark" class="title">如何将MySQL GR 设置为多主模式</a>
					<div>
						在MySQL 5.7.17版本中发布的MySQL Group Replication(后文简称为MGR)被很多人称为MySQL复制方案的正规军,可以一举取代现在的MySQL Replication,S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqlaJp.html" rel="bookmark" class="title">java-hibernate中类not mapped问题</a>
					<div>
						问题描述 hibernate中类not mapped问题 spring项目中,用到hibernate mapping.后台写完之后junit test可以跑通,数据库可以存取数据,但是页面数据传过来之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmRRxz.html" rel="bookmark" class="title">CSS学习笔记Padding 属性中参数的定义与使用&lowbar;经验交流</a>
					<div>
						一直都对CSS中Padding 属性中参数个数的定义颇为困惑,例如: body { padding: 32px;} body { padding: 32px 24px; } body { paddin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Gwvgp.html" rel="bookmark" class="title">connection reset by peer问题总结及解决方案&lowbar;javascript技巧</a>
					<div>
						 找遍了 中英文网站,翻遍了能找的角落,发现了出现故障的原因和原理,及改如何处理,这里记录下,希望能帮助到有需要的小伙伴,少走点弯路, 以上就整理内容:        connection reset ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWjyvz.html" rel="bookmark" class="title">smack ejabberd-smack&plus;ejabberd用户查询问题</a>
					<div>
						问题描述 smack+ejabberd用户查询问题 1:用smack访问ejabberd,如何判断用户名是否被注册过? 2:网上看某位大神写的查询用户的代码,看起来写的好有道理,可是为什么用在我的项目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z6xwz.html" rel="bookmark" class="title">甲骨文高管薪酬去年骤降 董事长埃利森少拿35&percnt;</a>
					<div>
						据外媒报道,甲骨文股票在过去的12个月里表现一般,回报率仅为8.8%,低于标普500指数同期12.0%的回报率. 虽然服务型软件(SaaS)和服务型平台(PaaS)领域的新机会为甲骨文股票提供了一定的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqg1Yez.html" rel="bookmark" class="title">陈豪第四年担任护发代言人力挺绯闻女友廖碧儿</a>
					<div>
						陈豪再拍护发广告,又想做纤体代言人 点击此处查看全部娱乐图片 北京时间8月8日消息,据香港媒体报道,陈豪昨天到柴湾为护发中心拍摄新一辑广告,已连续第四年担任代言的陈豪虽不肯透露几位数字,但坦言对此次酬 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdYemp.html" rel="bookmark" class="title">Ibatis 求助</a>
					<div>
						问题描述 一个练习用户下订单的过程,执行过程中没有问题,能插入记录,日志显示执行的sql中也有相应的数据,但是最后去mysql中查的时候,记录所有字段都为null和0:实在很困扰,请各位大侠帮助啊~~ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
